Delete Single Client Code Distribution
Delete a specific client code distribution. To delete a distribution, you must first remove all Page components associated with it from your Vault.
To delete a single file from an existing distribution, re-package the distribution without the file and re-upload the distribution to Vault.
DELETE
/api/{version}/uicode/distributions/{distribution_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{distribution_name} | The name attribute of the client code distribution to delete. |
Request
Section link for Requestcurl -X DELETE -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/uicode/distributions/custom_page__cResponse
Section link for Response{
"responseStatus": "SUCCESS"
}